• R/O
  • HTTP
  • SSH
  • HTTPS

Commit

Tags
No Tags

Frequently used words (click to add to your profile)

javac++androidlinuxc#windowsobjective-ccocoa誰得qtpythonphprubygameguibathyscaphec計画中(planning stage)翻訳omegatframeworktwitterdomtestvb.netdirectxゲームエンジンbtronarduinopreviewer

Commit MetaInfo

Revisionf0152043d5c11c459585a3389ff2a26d1fb34544 (tree)
Time2005-01-23 23:08:46
Authorpukiwikiadmin <pukiwikiadmin>
Commiterpukiwikiadmin

Log Message

This commit was manufactured by cvs2svn to create tag 'r1_4_5_rc1'.

Change Summary

  • delete: devel/make_funclist.sh
  • delete: devel/release.sh
  • delete: devel/release_update.sh
  • delete: devel/tdiary-demogen.sh

Incremental Difference

--- a/devel/make_funclist.sh
+++ /dev/null
@@ -1,3 +0,0 @@
1-#!/bin/sh
2-
3-grep -B1 "^function" ../*.php | sed -e "s/^\.\.\///" | sed "s/[a-z]*\.php\:function[ \t]*//"
--- a/devel/release.sh
+++ /dev/null
@@ -1,179 +0,0 @@
1-#!/bin/sh
2-# $Id: release.sh,v 1.12 2005-01-09 04:34:57 henoheno Exp $
3-# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $
4-# Release automation script for PukiWiki
5-# ==========================================================
6- Copyright='(C) 2002-2004 minix-up project, All Rights Reserved'
7- Homepage='http://cvsknit.sourceforge.net/'
8- License='BSD Licnese, NO WARRANTY'
9-#
10-
11-# Name and Usage --------------------------------------------
12-_name="` basename $0 `"
13-
14-usage(){
15- trace 'usage()' || return # (DEBUG)
16- warn "Usage: $_name [options] VERSION_TAG (1.4.3_rc1 like)"
17- warn " Options:"
18- warn " --nopkg Suppress creating archive (Extract and chmod only)"
19- warn " -z|--zip Create *.zip archive"
20- return 1
21-}
22-
23-# Common functions ------------------------------------------
24-warn(){ echo "$*" 1>&2 ; }
25-err() { warn "Error: $*" ; exit 1 ; }
26-
27-quote(){
28- test $# -gt 0 && { echo -n "\"$1\"" ; shift ; }
29- while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo
30-}
31-
32-trace(){
33- test "$__debug" || return 0 # (DEBUG)
34- _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `"
35-}
36-
37-# Default variables -----------------------------------------
38-
39-mod=pukiwiki
40-
41-CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod"
42-
43-# Function verifying arguments ------------------------------
44-
45-getopt(){ _arg=noarg
46- trace 'getopt()' "$@" # (DEBUG)
47-
48- case "$1" in
49- '' ) echo 1 ;;
50- -[hH]|--help ) echo _help _exit ;;
51- --debug ) echo _debug ;;
52- --nopkg ) echo _nopkg ;;
53- -z|--zip ) echo _zip ;;
54- -d ) echo _CVSROOT 2 ; _arg="$2" ;;
55- -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;;
56- * ) echo OTHER ;;
57- esac
58-
59- test 'x' != "x$_arg"
60-}
61-
62-# Working start ---------------------------------------------
63-
64-# Show arguments in one line (DEBUG)
65-case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || {
66- test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@"
67-}
68-
69-# Parsing
70-while [ $# -gt 0 ] ; do
71- chs="` getopt "$@" `" || err "Syntax error with '$1'"
72- trace '$chs ' "$chs" # (DEBUG)
73-
74- for ch in $chs ; do
75- case "$ch" in
76- [1-3] ) shift $ch ;;
77- _exit ) exit ;;
78- _help ) usage ;;
79-
80- _CVSROOT) CVSROOT="$2" ;;
81-
82- _* ) shift ; eval "_$ch"=on ;;
83- * ) break 2 ;;
84- esac
85- done
86-done
87-
88-# No argument
89-if [ $# -eq 0 ] ; then usage ; exit ; fi
90-
91-# Archiver check --------------------------------------------
92-
93-if [ -z "$__zip" ]
94-then
95- which tar || err "tar not found"
96- which gzip || err "gzip not found"
97-else
98- which zip || err "zip not found"
99-fi > /dev/null
100-
101-# Argument check --------------------------------------------
102-
103-rel="$1"
104-pkg_dir="${mod}-${rel}"
105-case "$rel" in
106- [1-9].[0-9] | [1-9].[0-9] ) tag="r$rel" ;;
107- [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$rel" ;;
108- [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$rel" ;;
109- [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$rel" ;;
110- HEAD | r1_3_3_branch ) tag="$rel" ;;
111- * ) usage ; exit ;;
112-esac
113-tag="` echo "$tag" | tr '.' '_' `"
114-
115-# Export the module -----------------------------------------
116-
117-test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir"
118-
119-echo cvs -z3 -d "$CVSROOT" -q export -r "$tag" -d "$pkg_dir" "$mod"
120- cvs -z3 -d "$CVSROOT" -q export -r "$tag" -d "$pkg_dir" "$mod"
121-
122-test -d "$pkg_dir" || err "There is'nt a directory: $pkg_dir"
123-
124-# Remove '.cvsignore' if exists -----------------------------
125-echo find "$pkg_dir" -type f -name '.cvsignore' -delete
126- find "$pkg_dir" -type f -name '.cvsignore' -delete
127-
128-# chmod -----------------------------------------------------
129-( cd "$pkg_dir"
130-
131- # ALL: Read only
132- find . -type d | while read line; do
133- chmod 755 "$line"
134- done
135- find . -type f | while read line; do
136- chmod 644 "$line"
137- done
138-
139- # Add write permission for PukiWiki
140- chmod 777 attach backup cache counter diff trackback wiki*
141- chmod 666 wiki*/*.txt cache/*.dat
142-)
143-
144-# Create a package ------------------------------------------
145-
146-test ! -z "$__nopkg" && exit 0
147-
148-( cd "$pkg_dir"
149-
150- # wiki.en/
151- target="wiki.en"
152- if [ -z "$__zip" ]
153- then tar cf - "$target" | gzip -9 > "$target".tgz
154- else zip -r9 "$target.zip" "$target"
155- fi
156- rm -Rf "$target"
157-
158- # en documents
159- if [ -z "$__zip" ]
160- then gzip -9 *.en.txt
161- else
162- for list in *.en.txt ; do
163- zip -9 "$list".zip "$list"
164- rm -f "$list"
165- done
166- fi
167-)
168-
169-if [ -z "$__zip" ]
170-then
171- # Tar + gzip
172- echo tar cf - "$pkg_dir" \| gzip -9 \> "$pkg_dir.tar.gz"
173- tar cf - "$pkg_dir" | gzip -9 > "$pkg_dir.tar.gz"
174-else
175- # Zip
176- echo zip -r9 "$pkg_dir.zip" "$pkg_dir"
177- zip -r9 "$pkg_dir.zip" "$pkg_dir"
178-fi
179-
--- a/devel/release_update.sh
+++ /dev/null
@@ -1,120 +0,0 @@
1-#!/bin/sh
2-# $Id: release_update.sh,v 1.5 2004-09-11 15:13:47 henoheno Exp $
3-# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $
4-# Release automation script for PukiWiki
5-# ==========================================================
6- Copyright='(C) 2002-2004 minix-up project, All Rights Reserved'
7- Homepage='http://cvsknit.sourceforge.net/'
8- License='BSD Licnese, NO WARRANTY'
9-#
10-
11-# Functions -----------------------------------------------
12-warn(){ echo "$*" 1>&2 ; }
13-err() { warn "Error: $*" ; exit 1 ; }
14-
15-usage(){
16- warn "USAGE: `basename $0` VERSION_FROM VERSION_TO (VERSION = '1.4.3_rc1' like)"
17- return 1
18-}
19-
20-check_versiontag(){
21- case "$1" in
22- [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;;
23- [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;;
24- [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;;
25- [1-9].[0-9].[0-9]_rc[1-9] | [1-9].[0-9].[0-9][0-9]_rc[1-9] ) tag="r$1" ;;
26- '' ) usage ; return 1 ;;
27- * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;;
28- esac
29- echo "$tag" | tr '.' '_'
30-}
31-
32-# -------------------------------------------
33-# Argument check
34-
35-rel_from="$1"
36-rel_to="$2"
37-
38-tag_from="` check_versiontag "$rel_from" `" || exit
39-tag_to="` check_versiontag "$rel_to" `" || exit
40-
41-if [ "x$rel_from" = "x$rel_to" ] ; then
42- warn "Error: VERSION_FROM and VERSION_TO is equivalent"
43- usage ; exit
44-fi
45-
46-# -------------------------------------------
47-# Default
48-
49-mod=pukiwiki
50-CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod"
51-
52-pkg_dir="$mod"
53-
54-# -------------------------------------------
55-
56-# Checkout the module with VERSION_FROM
57-test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir"
58-echo cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
59- cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
60-test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir"
61-
62-# Merge VERSION_FROM to VERSION_TO
63-( cd "$pkg_dir"
64- echo cvs up -dP -j "$tag_from" -j "$tag_to"
65- cvs up -dP -j "$tag_from" -j "$tag_to"
66-
67- # Cleanup backup files by cvs
68- find . -type f -name ".#*" | xargs rm -f
69-)
70-
71-# Remove files those are not Added or Modified
72-( cd "$pkg_dir"
73-
74- find . -type f | grep -v /CVS/ | while read line ; do
75- result="` cvs -nq up "$line" 2>/dev/null | grep '^[AM] ' | cut -b 3- `"
76- test "x$result" != "x" || rm -f "$line"
77- echo -n "."
78- done
79- echo
80-)
81-
82-# Remove CVS directories
83- find "$pkg_dir" -type d -name "CVS" | xargs rm -Rf
84-
85-# Remove '.cvsignore' if exists
86-echo find "$pkg_dir" -type f -name '.cvsignore' -delete
87- find "$pkg_dir" -type f -name '.cvsignore' -delete
88-
89-# Remove emptied directories
90-find "$pkg_dir" -type d -empty | xargs rmdir
91-find "$pkg_dir" -type d -empty | xargs rmdir
92-
93-# chmod
94-( cd "$pkg_dir"
95-
96- # ALL: Read only
97- find . -type d | while read line; do
98- chmod 755 "$line"
99- done
100- find . -type f | while read line; do
101- chmod 644 "$line"
102- done
103-
104- # Add write permission for PukiWiki
105- chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null
106- chmod 666 wiki*/*.txt cache/*.dat 2>/dev/null
107-
108-)
109-
110-# Tar
111-echo tar cf - "$pkg_dir" \| gzip -9 \> "update_$rel_to.tar.gz"
112- tar cf - "$pkg_dir" | gzip -9 > "update_$rel_to.tar.gz"
113-
114-# Zip
115-#echo zip -r9 "update_$rel_to.zip" "$pkg_dir"
116-# zip -r9 "update_$rel_to.zip" "$pkg_dir"
117-
118-#echo rm -Rf "$pkg_dir"
119-# rm -Rf "$pkg_dir"
120-
--- a/devel/tdiary-demogen.sh
+++ /dev/null
@@ -1,66 +0,0 @@
1-#!/bin/sh
2-# $Id: tdiary-demogen.sh,v 1.6 2005-01-16 03:26:14 henoheno Exp $
3-#
4-# tDiary demonstration generator: generates many [theme].php
5-# License: GPL
6-
7-usage(){
8- base="`basename $0`";
9- echo " $base [-d path/to/theme-directory] list"
10- echo " $base [-d path/to/theme-directory] interwiki"
11- echo " $base [-d path/to/theme-directory] touch"
12- echo " Command:"
13- echo " lis|list - List themes"
14- echo " int|interwiki - Publish interwiki definition and setting for each theme"
15- echo " tou|touch - Generate \$theme.php that includes index.php"
16-}
17-
18-theme_list(){
19- cd "$dir" || echo "Error: directory '$dir' not found";
20- ls -1 | while read theme; do
21- test -f "$theme/$theme.css" && echo "$theme"
22- done
23-}
24-
25-# ---- Argument check ----
26-dir="skin/theme"
27-if [ "x-d" = "x$1" ] ; then
28- dir="$2"
29- shift 2
30-fi
31-cmd="$1"
32-
33-# ----
34-
35-case "$cmd" in
36-''|-h|hel|help ) usage ;;
37-lis|list ) theme_list ;;
38-
39-int|inte|inter|interw|interwi|interwik|interwiki)
40- echo '--------'
41- echo '- [./$1.php theme] raw tDiary theme selector'
42- echo '--------'
43- echo '- (s) = sidebar CSS exists in this theme'
44- theme_list | while read theme; do
45- echo -n "+ [[theme:$theme]]"
46- grep -q div.sidebar "$dir/$theme/$theme.css" && echo -n " (s)"
47- echo
48- done
49- ;;
50-
51-tou|touc|touch )
52- theme_list | while read theme; do
53- if [ -f "$theme.php" ]
54- then echo "Warning: '$theme.php' is already available. Ignoreing..."
55- else
56- cat <<EOF > "$theme.php"
57-<?php
58- define('TDIARY_THEME', '$theme');
59- require('./index.php')
60-?>
61-EOF
62- fi
63- done
64- ;;
65-esac
66-